﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<CMSUser>


@(
 Html.Grid(Model).Named("AllUser").Columns(columns =>
{

    columns.Add(x => x.FullName)
        .Titled("Name")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.FullName).Filterable(true);


    columns.Add(x => x.Username)
        .Titled("UserName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Username).Filterable(true);

    columns.Add(x => x.Email)
        .Titled("Email")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.Email.ToString()).Filterable(true);


    columns.Add(x => x.CMSRole.Name)
        .Titled("Role")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CMSRole.Name).Filterable(true);

    columns.Add(x => x.IsActive)
        .Titled("IsActive")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsActive.ToString());

    columns.Add(x => x.CreatedDate)
        .Titled("Created Date")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.CMSUser.Edit(x.ID))));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Reset Password</a>", Url.Action(MVC.CMSUser.ChangePassword(x.ID))));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => (x.IsActive) ?
        string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModalDeactivate\">Deactivate</a>", "#", Url.Action(MVC.CMSUser.Deactivated(x.ID)), x.FullName)
        : string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModalActivate\">Activate</a>", "#", Url.Action(MVC.CMSUser.Activated(x.ID)), x.FullName));

    columns.Add()
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.CMSUser.Delete(x.ID)), x.FullName));

}).Filterable()
.Sortable()
.WithPaging(5)
)
